<?

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_reg();

$set['title']='Моя дуэль'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();

include_once 'inc.php';

if (isset($_GET['yes']))
{
$yes = intval($_GET['yes']);
if (!isset($_GET['yes'])) {$err = 'Пустой параметр ID!';}
$a=mysql_fetch_array(mysql_query("SELECT * FROM `duel` WHERE `id` = $yes LIMIT 1"));
if (!$a) {$err = 'Нет такой дуэли';}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `duel` WHERE (`opponent`='$a[opponent]' OR `user`='$a[opponent]') AND `act`='1'"),0)>0){$err='Данный оппонент уже учавствует в дуэли';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `duel` WHERE (`opponent`='$a[user]' OR `user`='$a[user]') AND `act`='1'"),0)>0){$err='Данный оппонент уже учавствует в дуэли';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `duel` WHERE (`opponent`='$user[id]' OR `user`='$user[id]') AND `act`='1'"),0)>0){$err='Вы уже учавствуете в дуэли дождитесь его окончания';}

err();

if (!isset($err)){
$date=3*60;
mysql_query("UPDATE `duel` SET `act`='1', `time`='".(time()+86400)."' WHERE `id`='".$yes."'");
$msg="[b]$user[nick][/b] принял ваш вызов на дуэль.";
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$a['user']."', '".$msg."', '".$time."')");
msg('Заявка приянята');
}
else
{
mysql_query("DELETE FROM `duel` WHERE `id` = '$yes' LIMIT 1");
}
}

if (isset($_GET['noy']))
{
$noy = intval($_GET['noy']);
if (!isset($_GET['noy'])) {$err = 'Пустой параметр ID!';}
$a=mysql_fetch_array(mysql_query("SELECT * FROM `duel` WHERE `id` = $noy LIMIT 1"));
if (!$a) {$err = 'Нет такой дуэли';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `duel` WHERE (`user`='$a[opponent]' OR `opponent`='$a[opponent]') AND `act`='1' LIMIT 1"),0)!=0){$err='Данный оппонент уже учавствует в дуэли';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `duel` WHERE (`user`='$user[id]' OR `opponent`='$user[id]') AND `act`='1' LIMIT 1"),0)!=0){$err='Вы уже учавствуете в дуэли дождитесь его окончания';}

err();

if(!isset($err)){
mysql_query("DELETE FROM `duel` WHERE `opponent`='$user[id]' AND `id`='".$noy."' LIMIT 1");
$msg="[b]$user[nick][/b] отклонил ваш вызов на дуэль.";
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$a['user']."', '".$msg."', '".$time."')");
msg('Заявка отклонина');
}
}


$num=mysql_result(mysql_query("SELECT COUNT(*) FROM `duel` WHERE `act` = '1' AND (`opponent` = '$user[id]' OR `user` = '$user[id]')"),0);

if($num!=0){
$post=mysql_fetch_array(mysql_query("SELECT * FROM `duel` WHERE `act` = '1' AND (`opponent` = '$user[id]' OR `user` = '$user[id]') LIMIT 1"));
$rand = rand(1000,9999);

if($post['rubric'] == 1) $cat = 'Кто красивее?';
if($post['rubric'] == 2) $cat = 'Кто сильнее?';
if($post['rubric'] == 3) $cat = 'Кто моднее?';
if($post['rubric'] == 4) $cat = 'Кто выглядит моложе?';
if($post['rubric'] == 5) $cat = 'Кто смешнее?';
if($post['rubric'] == 6) $cat = 'У кого лучше фигура?';
if($post['rubric'] == 7) $cat = 'Кто сексуальнее?';
if($post['rubric'] == 8) $cat = 'Кто гламурнее?';
if($post['rubric'] == 9) $cat = 'Кто аппетитнее?';

echo "<div class='rowup'>";
echo "<b>Категория:</b> <u><b>$cat</b></u><br/>";
echo "</div>";

$us = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['user']."' LIMIT 1"));
$count=mysql_result(mysql_query("SELECT COUNT(*) FROM `duel_vote` WHERE `id_duel` = '$post[id]'"),0);

$vote=mysql_result(mysql_query("SELECT COUNT(*) FROM `duel_vote` WHERE `id_duel` = '$post[id]' AND `id_opponent` = '$us[id]'"),0);
$man=mysql_result(mysql_query("SELECT COUNT(*) FROM `duel_vote` WHERE `id_duel` = '$post[id]' AND `id_opponent` = '$us[id]' AND `man` = '1'"),0);
$woman=mysql_result(mysql_query("SELECT COUNT(*) FROM `duel_vote` WHERE `id_duel` = '$post[id]' AND `id_opponent` = '$us[id]' AND `man` = '0'"),0);
echo "<div class='rowdown'>\n";

if($user['id'] != $post['user']) {echo "Оппонент: <a href=\"/info.php?id=$us[id]\">$us[nick]</a><br/>\n";}
else {echo "Вы<br/>\n";}


avatar($post['user']);
echo "<br/>---<br/>\n";
echo "<b>Голосов:</b> $vote (".@round($vote/$count*100,1)."%) <br />\n";
echo "M: (".@round($man/$vote*100,1)."%) / Ж: (".@round($woman/$vote*100,1)."%)<br />\n";
echo "</div>\n";

echo "<div class='rowup'>\n";
echo "Против\n";
echo "</div>\n";

$us2 = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['opponent']."' LIMIT 1"));

$vote2=mysql_result(mysql_query("SELECT COUNT(*) FROM `duel_vote` WHERE `id_duel` = '$post[id]' AND `id_opponent` = '$us2[id]'"),0);
$man2=mysql_result(mysql_query("SELECT COUNT(*) FROM `duel_vote` WHERE `id_duel` = '$post[id]' AND `id_opponent` = '$us2[id]' AND `man` = '1'"),0);
$woman2=mysql_result(mysql_query("SELECT COUNT(*) FROM `duel_vote` WHERE `id_duel` = '$post[id]' AND `id_opponent` = '$us2[id]' AND `man` = '0'"),0);
echo "<div class='rowdown'>\n";

if($user['id'] != $post['opponent']) {echo "Оппонентa: <a href=\"/info.php?id=$us2[id]\">$us2[nick]</a><br/>\n";}
else {echo "Вас<br/>\n";}

avatar($post['opponent']);
echo "<br/>---<br/>\n";
echo "<b>Голосов:</b> $vote2 (".@round($vote2/$count*100,1)."%) <br />\n";
echo "M: (".@round($man2/$vote2*100,1)."%) / Ж: (".@round($woman2/$vote2*100,1)."%)<br />\n";
echo "</div>\n";

echo '<div class="str">Время окончания: <strong>'.vremja($post['time']).'</strong></div>';
}
else
{
echo '<div class="str">Вы не учавствуете в дуели или оппонент еще не принял вызов</div>';
}

echo '<div class="page_foot">
- <a href="voted.php">Активные (Вы голосовали)</a><br/>
- <a href="finished.php">Завершенные</a><br/>
- <a href="./">Дуэли</a><br/>---</div>';
include_once '../sys/inc/tfoot.php';
?>
